Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.solver.termination
Class OrCompositeTermination

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.phase.event.PhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.solver.termination.AbstractTermination
                  org.optaplanner.core.impl.solver.termination.AbstractCompositeTermination
                      org.optaplanner.core.impl.solver.termination.OrCompositeTermination

All Implemented Interfaces:
  EventListener, PhaseLifecycleListener, SolverLifecycleListener, Termination

    public class OrCompositeTermination

extends AbstractCompositeTermination

Field Summary

Fields inherited from class org.optaplanner.core.impl.solver.termination.AbstractCompositeTermination
`terminationList`

Fields inherited from class org.optaplanner.core.impl.solver.termination.AbstractTermination
`logger`

Constructor Summary
`OrCompositeTermination(List<Termination> terminationList)`
`OrCompositeTermination(Termination... terminations)`

Method Summary
`double` | `calculatePhaseTimeGradient(AbstractPhaseScope phaseScope)` Calculates the minimum timeGradient of all Terminations.
`double` | `calculateSolverTimeGradient(DefaultSolverScope solverScope)` Calculates the minimum timeGradient of all Terminations.
`boolean` | `isPhaseTerminated(AbstractPhaseScope phaseScope)` Called by the `Phase` after every step and every move to determine if the search should stop.
`boolean` | `isSolverTerminated(DefaultSolverScope solverScope)` Called by the `Solver` after every phase to determine if the search should stop.

Methods inherited from class org.optaplanner.core.impl.solver.termination.AbstractCompositeTermination
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrCompositeTermination

    public OrCompositeTermination(List<Termination> terminationList)

### OrCompositeTermination

    public OrCompositeTermination(Termination... terminations)

Method Detail

### isSolverTerminated

    public boolean isSolverTerminated(DefaultSolverScope solverScope)

  Description copied from interface: `Termination`
  Called by the `Solver` after every phase to determine if the search should stop.

  Parameters:
    `solverScope` - never null
  Returns:
    true if any of the Termination is terminated.

### isPhaseTerminated

    public boolean isPhaseTerminated(AbstractPhaseScope phaseScope)

  Description copied from interface: `Termination`
  Called by the `Phase` after every step and every move to determine if the search should stop.

  Parameters:
    `phaseScope` - never null
  Returns:
    true if any of the Termination is terminated.

### calculateSolverTimeGradient

    public double calculateSolverTimeGradient(DefaultSolverScope solverScope)

  Calculates the minimum timeGradient of all Terminations. Not supported timeGradients (-1.0) are ignored.

  Parameters:
    `solverScope` - never null
  Returns:
    the maximum timeGradient of the Terminations.

### calculatePhaseTimeGradient

    public double calculatePhaseTimeGradient(AbstractPhaseScope phaseScope)

  Calculates the minimum timeGradient of all Terminations. Not supported timeGradients (-1.0) are ignored.

  Parameters:
    `phaseScope` - never null
  Returns:
    the maximum timeGradient of the Terminations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.